/* SPDX-License-Identifier: BSD-3-Clause */
#include <stdio.h>
#include <string.h>
#include "common.h"

int print_usage(char *name, char *desc, char *params, char *version) {
	printf("fases (%s)\n"
	"Usage: %s %s\n"
	"%s\n", version, name, params, desc);
	return 1; /* This function is mostly called on error so return 1 */
}

int errprint(char *argv0, char *prefix, int err) {
	if (err == 0) return 0;
	if (prefix != NULL)
		fprintf(stderr, "%s: %s: %s\n", argv0, prefix, strerror(err));
	else
		fprintf(stderr, "%s: %s\n", argv0, strerror(err));
	return err;
}
